Bug 736413 - [webadmin] Hosts main tab: NICs sub tab
Summary: [webadmin] Hosts main tab: NICs sub tab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: m2
: ---
Assignee: Einav Cohen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 16:05 UTC by Einav Cohen
Modified: 2012-08-09 08:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-09 08:06:16 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Einav Cohen 2011-09-07 16:05:32 UTC
Hosts main tab: Need to implement the NICs sub-tab.

Comment 1 Vojtech Szocs 2011-09-20 12:30:53 UTC
Pre-integration ticket https://trac.qa.lab.tlv.redhat.com/trac/integration/ticket/457

Comment 2 Vojtech Szocs 2011-09-23 16:50:38 UTC
WPF HostInterfaceListView declares a special grid, where each row consists of following parts (each row is bound to HostInterfaceLineModel type):

1. Multi-row grid for interfaces, bound to "Interfaces" property (row type HostInterface)

2. Single-row grid for bond info, bound to "BondName" and "Address" properties, visible only when "IsBonded" is true

3. Multi-row grid for VLans, bound to "VLans" property (row type HostVLan)

4. Single-row grid for management info, bound to "NetworkName" property, visible only when "IsManagement" is true

For special grids like this, custom cells need to be implemented.

Comment 5 Itamar Heim 2012-08-09 08:06:16 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.